//***************************************************************************
//
//  Module:   statgrph.h
//
//  Purpose:
//     Graphs interrupt latencies.
//
//  Development Team:
//     Bryan A. Woodruff
//
//  History:   Date       Author      Comment
//              4/ 8/92   BryanW      Wrote it.
//
//---------------------------------------------------------------------------
//
//  Written by Microsoft Product Support Service, Windows Developer Support.
//  Copyright (c) 1991 Microsoft Corporation.  All Rights Reserved.
//
//***************************************************************************

#include <windows.h>
#include "resource.h"

// constant defintions

#define WM_NOTIFICATION  (WM_USER + 0x1000)

// In LOWORD( lParam )

#define NOTIFY_ReadBufferFull  0x0001
#define NOTIFY_ReadComplete    0x0002
#define NOTIFY_ErrorStatus     0x0004

#define VDISKIOD_Device_ID 0x8000

// global defintions

#ifdef GLOBALDEFS
HINSTANCE hInst ;
#else
extern HINSTANCE hInst ;
#endif


int FAR PASCAL      WinMain( HINSTANCE, HINSTANCE, LPSTR, int ) ;
BOOL                InitApplication( HINSTANCE ) ;
BOOL                InitInstance( HINSTANCE, int ) ;
LRESULT FAR PASCAL  MainWndProc( HWND, UINT, WPARAM, LPARAM ) ;
BOOL FAR PASCAL     AboutDlgProc( HWND, UINT, WPARAM, LPARAM ) ;

BOOL NEAR StartIO( HWND, LPSTR ) ;
WORD NEAR ReadData( LPSTR ) ;

//***************************************************************************
//  End of File: statgrph.h
//***************************************************************************

